POST: Add a Node to a Conductor Redundancy Groups
Add a Conductor node to the specified Conductor redundancy group. When setting up a Conductor redundancy group, you must add exactly two nodes.
HTTP Request and Response
Request URL
POST http://<Conductor IP address>/conductor_redundancy_groups/<ID of Conductor redundancy group>/members
Call Header
-
Accept: Set to
application/xml -
Content-Type: Set to
application/xml
If you are implementing user authentication, you must also include three authorization headers; see Header Content for User Authentication.
Request Body
The response contains XML content consisting of the following.
-
One
conductor_redundancy_groupselement that contains:-
One or two
conductor_redundancy_group_memberelements with the following elements.
-
| Element | Value | Description |
|---|---|---|
| node_id | ID of the Conductor node |
Response
The response repeats back the data that you posted with the addition of the following.
-
id: The newly assigned ID for the member.
Example
Request
Add the node with the ID 2 to the Conductor redundancy group. In this example, the Conductor redundancy group has the ID 1.
POST http://198.51.100.0/conductor_redundancy_groups/1/members ------------------------------------------------------------- Content-type:application/vnd.elemental+xml;version=3.3.0 Accept:application/xml------------------------------------------------------------- <?xml version="1.0" encoding="UTF-8"?> <conductor_redundancy_group_member> <node_id>2</node_id> </conductor_redundancy_group_member>
Response
The response shows the “Conductor redundancy group member” data and the standard node data that was applied to this node. Note that the node has the member ID of 3 (its ID in the Conductor redundancy group) but has the node ID of 2 (its ID in the cluster). For details, see GET List: Get a List of Redundancy Group Members.
<?xml version="1.0" encoding="UTF-8"?> <conductor_redundancy_group_member href="/conductor_redundancy_groups/3/members" product="AWS Elemental Conductor Live" version="3.3.nnnnn"> <id>3</id> <node> <id>2</id> <hostname>elae-12345678</hostname> <ip_addr>10.4.136.92</ip_addr> <status>online</status> <product_name>Live</product_name> <version>2.7.0.67890</version> <channels>0</channels> </node> </conductor_redundancy_group_member>